| Version: 3.2.5

Classes | Enumerations
regex.h File Reference

## Classes

class | wxRegEx
| wxRegEx represents a regular expression. More...

## Enumerations

enum | { wxRE_EXTENDED = 0 , wxRE_ADVANCED = 1 , wxRE_BASIC = 2 , wxRE_ICASE = 4 , wxRE_NOSUB = 8 , wxRE_NEWLINE = 16 , wxRE_DEFAULT = wxRE_EXTENDED }
| More...
enum | { wxRE_NOTBOL = 32 , wxRE_NOTEOL = 64 , wxRE_NOTEMPTY = 128 }
| More...

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Flags for regex compilation to be used with wxRegEx::Compile().

Enumerator
wxRE_EXTENDED | Use extended regex syntax. This is the default and doesn't need to be specified.
wxRE_ADVANCED | Use advanced regex syntax. This flag is synonym for wxRE_EXTENDED and doesn't need to be specified as this is the default syntax.
wxRE_BASIC | Use basic regex syntax. Use basic regular expression syntax, close to its POSIX definition, but with some extensions still available. The word start/end boundary assertions `\<` and `\>` are only available when using basic syntax, use `[[:<:]]` and `[[:>:]]` or just more general word boundary assertion `\b` when not using it.
wxRE_ICASE | Ignore case in match.
wxRE_NOSUB | Only check match, don't set back references.
wxRE_NEWLINE | If not set, treat `\n` as an ordinary character. Otherwise `\n` is special: it is not matched by `.` and `^` and `$` always match after/before it regardless of the setting of wxRE_NOTBOL and wxRE_NOTEOL.
wxRE_DEFAULT | Default flags.

## ◆ anonymous enum

anonymous enum

Flags for regex matching to be used with wxRegEx::Matches(). These flags are mainly useful when doing several matches in a long string to prevent erroneous matches for '^' and '$':

Enumerator
wxRE_NOTBOL | '^' doesn't match at the start of line.
wxRE_NOTEOL | '$' doesn't match at the end of line.

wxRE_NOTEMPTY

Don't accept empty string as a valid match.

If the regex matches an empty string, try alternatives, if there are any, or fail.

This flag is not supported if PCRE support is turned off.

Since
  3.1.6